Upstream information

CVE-2019-15845 at MITRE

Description

Ruby through 2.4.7, 2.5.x through 2.5.6, and 2.6.x through 2.6.4 mishandles path checking within File.fnmatch functions.

SUSE information

Overall state of this security issue: Running

This issue is currently rated as having moderate severity.

CVSS v2 Scores
  National Vulnerability Database
Base Score 6.4
Vector AV:N/AC:L/Au:N/C:P/I:P/A:N
Access Vector Network
Access Complexity Low
Authentication None
Confidentiality Impact Partial
Integrity Impact Partial
Availability Impact None
CVSS v3 Scores
  National Vulnerability Database SUSE
Base Score 6.5 5.1
Vector CVSS:3.1/AV:N/AC:L/PR:N/UI:N/S:U/C:L/I:L/A:N CVSS:3.0/AV:L/AC:L/PR:N/UI:N/S:U/C:L/I:L/A:N
Access Vector Network Local
Access Complexity Low Low
Privileges Required None None
User Interaction None None
Scope Unchanged Unchanged
Confidentiality Impact Low Low
Integrity Impact Low Low
Availability Impact None None
CVSSv3 Version 3.1 3
SUSE Bugzilla entry: 1152994 [NEW]

SUSE Security Advisories:

List of released packages

Product(s) Fixed package version(s) References
HPE Helion Openstack 8
  • libruby2_1-2_1 >= 2.1.9-19.3.2
  • ruby2.1 >= 2.1.9-19.3.2
  • ruby2.1-stdlib >= 2.1.9-19.3.2
Patchnames:
HPE-Helion-OpenStack-8-2020-1570
Image SLES15-EC2-CHOST-HVM-BYOS
Image SLES15-SP1-CHOST-BYOS-Ali
Image SLES15-SP1-CHOST-BYOS-Azure
Image SLES15-SP1-CHOST-BYOS-EC2
Image SLES15-SP1-CHOST-BYOS-GCE
Image SLES15-SP1-CHOST-BYOS-OpenStack
Image SLES15-SP2-CHOST-BYOS-Ali
Image SLES15-SP2-CHOST-BYOS-Azure
Image SLES15-SP2-CHOST-BYOS-EC2
Image SLES15-SP2-CHOST-BYOS-GCE
Image SLES15-SP2-CHOST-BYOS-OpenStack
  • libruby2_5-2_5 >= 2.5.7-4.8.1
  • ruby2.5 >= 2.5.7-4.8.1
  • ruby2.5-stdlib >= 2.5.7-4.8.1
SUSE Enterprise Storage 5
  • libruby2_1-2_1 >= 2.1.9-19.3.2
  • ruby2.1 >= 2.1.9-19.3.2
  • ruby2.1-stdlib >= 2.1.9-19.3.2
Patchnames:
SUSE-Storage-5-2020-1570
SUSE Linux Enterprise High Performance Computing 15-ESPOS
SUSE Linux Enterprise High Performance Computing 15-LTSS
  • libruby2_5-2_5 >= 2.5.7-4.8.1
  • ruby2.5 >= 2.5.7-4.8.1
  • ruby2.5-devel >= 2.5.7-4.8.1
  • ruby2.5-devel-extra >= 2.5.7-4.8.1
  • ruby2.5-stdlib >= 2.5.7-4.8.1
Patchnames:
SUSE-SLE-Product-HPC-15-2020-737
SUSE Linux Enterprise Module for Basesystem 15 SP1
  • libruby2_5-2_5 >= 2.5.7-4.8.1
  • ruby2.5 >= 2.5.7-4.8.1
  • ruby2.5-devel >= 2.5.7-4.8.1
  • ruby2.5-devel-extra >= 2.5.7-4.8.1
  • ruby2.5-stdlib >= 2.5.7-4.8.1
Patchnames:
SUSE-SLE-Module-Basesystem-15-SP1-2020-737
SUSE Linux Enterprise Module for Open Buildservice Development Tools 15 SP1
  • ruby2.5 >= 2.5.7-4.8.1
  • ruby2.5-doc >= 2.5.7-4.8.1
  • ruby2.5-doc-ri >= 2.5.7-4.8.1
Patchnames:
SUSE-SLE-Module-Development-Tools-OBS-15-SP1-2020-737
SUSE Linux Enterprise Point of Sale 12 SP2-CLIENT
  • libruby2_1-2_1 >= 2.1.9-19.3.2
  • ruby2.1 >= 2.1.9-19.3.2
  • ruby2.1-stdlib >= 2.1.9-19.3.2
  • yast2-ruby-bindings >= 3.1.53-9.8.1
Patchnames:
SUSE-SLE-POS-12-SP2-CLIENT-2020-1570
SUSE Linux Enterprise Server 12 SP2-BCL
SUSE Linux Enterprise Server for SAP Applications 12 SP2-BCL
  • libruby2_1-2_1 >= 2.1.9-19.3.2
  • ruby2.1 >= 2.1.9-19.3.2
  • ruby2.1-stdlib >= 2.1.9-19.3.2
  • yast2-ruby-bindings >= 3.1.53-9.8.1
Patchnames:
SUSE-SLE-SERVER-12-SP2-BCL-2020-1570
SUSE Linux Enterprise Server 12 SP2-ESPOS
SUSE Linux Enterprise Server for SAP Applications 12 SP2-ESPOS
  • libruby2_1-2_1 >= 2.1.9-19.3.2
  • ruby2.1 >= 2.1.9-19.3.2
  • ruby2.1-stdlib >= 2.1.9-19.3.2
  • yast2-ruby-bindings >= 3.1.53-9.8.1
Patchnames:
SUSE-SLE-SERVER-12-SP2-ESPOS-2020-1570
SUSE Linux Enterprise Server 12 SP2-LTSS
SUSE Linux Enterprise Server for SAP Applications 12 SP2-LTSS
  • libruby2_1-2_1 >= 2.1.9-19.3.2
  • ruby2.1 >= 2.1.9-19.3.2
  • ruby2.1-stdlib >= 2.1.9-19.3.2
  • yast2-ruby-bindings >= 3.1.53-9.8.1
Patchnames:
SUSE-SLE-SERVER-12-SP2-2020-1570
SUSE Linux Enterprise Server 12 SP3-BCL
SUSE Linux Enterprise Server for SAP Applications 12 SP3-BCL
  • libruby2_1-2_1 >= 2.1.9-19.3.2
  • ruby2.1 >= 2.1.9-19.3.2
  • ruby2.1-stdlib >= 2.1.9-19.3.2
Patchnames:
SUSE-SLE-SERVER-12-SP3-BCL-2020-1570
SUSE Linux Enterprise Server 12 SP3-ESPOS
SUSE Linux Enterprise Server for SAP Applications 12 SP3-ESPOS
  • libruby2_1-2_1 >= 2.1.9-19.3.2
  • ruby2.1 >= 2.1.9-19.3.2
  • ruby2.1-stdlib >= 2.1.9-19.3.2
Patchnames:
SUSE-SLE-SERVER-12-SP3-ESPOS-2020-1570
SUSE Linux Enterprise Server 12 SP3-LTSS
SUSE Linux Enterprise Server for SAP Applications 12 SP3-LTSS
  • libruby2_1-2_1 >= 2.1.9-19.3.2
  • ruby2.1 >= 2.1.9-19.3.2
  • ruby2.1-stdlib >= 2.1.9-19.3.2
Patchnames:
SUSE-SLE-SERVER-12-SP3-2020-1570
SUSE Linux Enterprise Server 12 SP4
SUSE Linux Enterprise Server for SAP Applications 12 SP4
  • libruby2_1-2_1 >= 2.1.9-19.3.2
  • ruby2.1 >= 2.1.9-19.3.2
  • ruby2.1-stdlib >= 2.1.9-19.3.2
Patchnames:
SUSE-SLE-SERVER-12-SP4-2020-1570
SUSE Linux Enterprise Server 12 SP5
SUSE Linux Enterprise Server for SAP Applications 12 SP5
  • libruby2_1-2_1 >= 2.1.9-19.3.2
  • ruby2.1 >= 2.1.9-19.3.2
  • ruby2.1-stdlib >= 2.1.9-19.3.2
Patchnames:
SUSE-SLE-SERVER-12-SP5-2020-1570
SUSE Linux Enterprise Server 15-LTSS
  • libruby2_5-2_5 >= 2.5.7-4.8.1
  • ruby2.5 >= 2.5.7-4.8.1
  • ruby2.5-devel >= 2.5.7-4.8.1
  • ruby2.5-devel-extra >= 2.5.7-4.8.1
  • ruby2.5-stdlib >= 2.5.7-4.8.1
Patchnames:
SUSE-SLE-Product-SLES-15-2020-737
SUSE Linux Enterprise Server for SAP Applications 12 SP2
  • libruby2_1-2_1 >= 2.1.9-19.3.2
  • ruby2.1 >= 2.1.9-19.3.2
  • ruby2.1-stdlib >= 2.1.9-19.3.2
  • yast2-ruby-bindings >= 3.1.53-9.8.1
Patchnames:
SUSE-SLE-SAP-12-SP2-2020-1570
SUSE Linux Enterprise Server for SAP Applications 12 SP3
  • libruby2_1-2_1 >= 2.1.9-19.3.2
  • ruby2.1 >= 2.1.9-19.3.2
  • ruby2.1-stdlib >= 2.1.9-19.3.2
Patchnames:
SUSE-SLE-SAP-12-SP3-2020-1570
SUSE Linux Enterprise Server for SAP Applications 15
  • libruby2_5-2_5 >= 2.5.7-4.8.1
  • ruby2.5 >= 2.5.7-4.8.1
  • ruby2.5-devel >= 2.5.7-4.8.1
  • ruby2.5-devel-extra >= 2.5.7-4.8.1
  • ruby2.5-stdlib >= 2.5.7-4.8.1
Patchnames:
SUSE-SLE-Product-SLES_SAP-15-2020-737
SUSE Linux Enterprise Software Development Kit 12 SP4
  • ruby2.1 >= 2.1.9-19.3.2
  • ruby2.1-devel >= 2.1.9-19.3.2
Patchnames:
SUSE-SLE-SDK-12-SP4-2020-1570
SUSE Linux Enterprise Software Development Kit 12 SP5
  • ruby2.1 >= 2.1.9-19.3.2
  • ruby2.1-devel >= 2.1.9-19.3.2
Patchnames:
SUSE-SLE-SDK-12-SP5-2020-1570
SUSE OpenStack Cloud 7
  • libruby2_1-2_1 >= 2.1.9-19.3.2
  • ruby2.1 >= 2.1.9-19.3.2
  • ruby2.1-stdlib >= 2.1.9-19.3.2
  • yast2-ruby-bindings >= 3.1.53-9.8.1
Patchnames:
SUSE-OpenStack-Cloud-7-2020-1570
SUSE OpenStack Cloud 8
  • libruby2_1-2_1 >= 2.1.9-19.3.2
  • ruby2.1 >= 2.1.9-19.3.2
  • ruby2.1-stdlib >= 2.1.9-19.3.2
Patchnames:
SUSE-OpenStack-Cloud-8-2020-1570
SUSE OpenStack Cloud Crowbar 8
  • libruby2_1-2_1 >= 2.1.9-19.3.2
  • ruby2.1 >= 2.1.9-19.3.2
  • ruby2.1-stdlib >= 2.1.9-19.3.2
Patchnames:
SUSE-OpenStack-Cloud-Crowbar-8-2020-1570
openSUSE Leap 15.1
  • libruby2_5-2_5 >= 2.5.7-lp151.4.6.1
  • libruby2_5-2_5-debuginfo >= 2.5.7-lp151.4.6.1
  • ruby2.5 >= 2.5.7-lp151.4.6.1
  • ruby2.5-debuginfo >= 2.5.7-lp151.4.6.1
  • ruby2.5-debugsource >= 2.5.7-lp151.4.6.1
  • ruby2.5-devel >= 2.5.7-lp151.4.6.1
  • ruby2.5-devel-extra >= 2.5.7-lp151.4.6.1
  • ruby2.5-doc >= 2.5.7-lp151.4.6.1
  • ruby2.5-doc-ri >= 2.5.7-lp151.4.6.1
  • ruby2.5-stdlib >= 2.5.7-lp151.4.6.1
  • ruby2.5-stdlib-debuginfo >= 2.5.7-lp151.4.6.1
Patchnames:
openSUSE-2020-395


Status of this issue by product and package

Please note that this evaluation state might be work in progress, incomplete or outdated. Also information for service packs in the LTSS phase is only included for issues meeting the LTSS criteria. If in doubt, feel free to contact us for clarification.

Product(s) Source package State
CaaS Platform 1.0 ruby2.1 Affected
CaaS Platform 2.0 ruby2.1 Affected
CaaS Platform 3.0 ruby2.1 Affected
OpenStack Cloud Magnum Orchestration 7.0 ruby2.1 Affected
SUSE Business Critical Linux 12 SP2 ruby Affected
SUSE Business Critical Linux 12 SP2 ruby2.1 Released
SUSE Business Critical Linux 12 SP3 ruby Affected
SUSE Business Critical Linux 12 SP3 ruby2.1 Released
SUSE Cloud 5 ruby2.1 Affected
SUSE Lifecycle Management Server 1.3 ruby Affected
SUSE Linux Enterprise 9 SP4 ruby Affected
SUSE Linux Enterprise Desktop 10 SP3 ruby Ignore
SUSE Linux Enterprise Desktop 10 SP4 ruby Ignore
SUSE Linux Enterprise Desktop 11 GA ruby Ignore
SUSE Linux Enterprise Desktop 11 SP1 ruby Affected
SUSE Linux Enterprise Desktop 11 SP2 ruby Affected
SUSE Linux Enterprise Desktop 11 SP3 ruby Affected
SUSE Linux Enterprise Desktop 11 SP4 ruby Affected
SUSE Linux Enterprise Desktop 12 GA ruby Not affected
SUSE Linux Enterprise Desktop 12 GA ruby2.1 Affected
SUSE Linux Enterprise Desktop 12 SP1 ruby Not affected
SUSE Linux Enterprise Desktop 12 SP1 ruby2.1 Affected
SUSE Linux Enterprise Desktop 12 SP2 ruby Not affected
SUSE Linux Enterprise Desktop 12 SP2 ruby2.1 Affected
SUSE Linux Enterprise Desktop 12 SP3 ruby Not affected
SUSE Linux Enterprise Desktop 12 SP3 ruby2.1 Affected
SUSE Linux Enterprise Desktop 12 SP4 ruby Not affected
SUSE Linux Enterprise Desktop 12 SP4 ruby2.1 Affected
SUSE Linux Enterprise Desktop 12 SP5 ruby Not affected
SUSE Linux Enterprise Desktop 12 SP5 ruby2.1 Affected
SUSE Linux Enterprise High Performance Computing 12 ruby Affected
SUSE Linux Enterprise High Performance Computing 12 ruby2.1 Released
SUSE Linux Enterprise High Performance Computing ESPOS 15 GA ruby2.5 Released
SUSE Linux Enterprise High Performance Computing LTSS 15 GA ruby2.5 Released
SUSE Linux Enterprise Module for Basesystem 15 GA ruby Not affected
SUSE Linux Enterprise Module for Basesystem 15 GA ruby2.5 Affected
SUSE Linux Enterprise Module for Basesystem 15 SP1 ruby Not affected
SUSE Linux Enterprise SDK 11 GA ruby Ignore
SUSE Linux Enterprise SDK 11 SP1 ruby Affected
SUSE Linux Enterprise SDK 11 SP2 ruby Affected
SUSE Linux Enterprise SDK 11 SP3 ruby Affected
SUSE Linux Enterprise SDK 11 SP4 ruby Affected
SUSE Linux Enterprise SDK 12 GA ruby Not affected
SUSE Linux Enterprise SDK 12 GA ruby2.1 Affected
SUSE Linux Enterprise SDK 12 SP1 ruby Not affected
SUSE Linux Enterprise SDK 12 SP1 ruby2.1 Affected
SUSE Linux Enterprise SDK 12 SP2 ruby Not affected
SUSE Linux Enterprise SDK 12 SP2 ruby2.1 Affected
SUSE Linux Enterprise SDK 12 SP3 ruby Not affected
SUSE Linux Enterprise SDK 12 SP3 ruby2.1 Affected
SUSE Linux Enterprise SDK 12 SP4 ruby Not affected
SUSE Linux Enterprise SDK 12 SP4 ruby2.1 Released
SUSE Linux Enterprise SDK 12 SP5 ruby Affected
SUSE Linux Enterprise SDK 12 SP5 ruby2.1 Released
SUSE Linux Enterprise Server 11 GA ruby Ignore
SUSE Linux Enterprise Server 11 SP1 ruby Affected
SUSE Linux Enterprise Server 11 SP1 LTSS ruby Affected
SUSE Linux Enterprise Server 11 SP2 ruby Affected
SUSE Linux Enterprise Server 11 SP2 LTSS ruby Affected
SUSE Linux Enterprise Server 11 SP3 ruby Affected
SUSE Linux Enterprise Server 11 SP3 LTSS ruby Affected
SUSE Linux Enterprise Server 11 SP4 ruby Affected
SUSE Linux Enterprise Server 11 SP4 LTSS ruby Affected
SUSE Linux Enterprise Server 12 GA ruby Not affected
SUSE Linux Enterprise Server 12 GA ruby2.1 Affected
SUSE Linux Enterprise Server 12 GA LTSS ruby Not affected
SUSE Linux Enterprise Server 12 GA LTSS ruby2.1 Affected
SUSE Linux Enterprise Server 12 SP1 ruby Not affected
SUSE Linux Enterprise Server 12 SP1 ruby2.1 Affected
SUSE Linux Enterprise Server 12 SP1 LTSS ruby Not affected
SUSE Linux Enterprise Server 12 SP1 LTSS ruby2.1 In progress
SUSE Linux Enterprise Server 12 SP2 ruby Not affected
SUSE Linux Enterprise Server 12 SP2 ruby2.1 Affected
SUSE Linux Enterprise Server 12 SP2 LTSS ruby Not affected
SUSE Linux Enterprise Server 12 SP2 LTSS ruby2.1 Released
SUSE Linux Enterprise Server 12 SP2 for Raspberry PI ruby Not affected
SUSE Linux Enterprise Server 12 SP2 for Raspberry PI ruby2.1 Affected
SUSE Linux Enterprise Server 12 SP3 ruby Not affected
SUSE Linux Enterprise Server 12 SP3 ruby2.1 Affected
SUSE Linux Enterprise Server 12 SP3 LTSS ruby Not affected
SUSE Linux Enterprise Server 12 SP3 LTSS ruby2.1 Released
SUSE Linux Enterprise Server 12 SP4 ruby Not affected
SUSE Linux Enterprise Server 12 SP4 ruby2.1 Released
SUSE Linux Enterprise Server 12 SP5 ruby Not affected
SUSE Linux Enterprise Server 12 SP5 ruby2.1 Released
SUSE Linux Enterprise Server 15 GA LTSS ruby2.5 Released
SUSE Linux Enterprise Server for SAP AIO 11 SP1 ruby Affected
SUSE Linux Enterprise Server for SAP Applications 11 SP2 ruby Affected
SUSE Linux Enterprise Server for SAP Applications 11 SP3 ruby Affected
SUSE Linux Enterprise Server for SAP Applications 12 GA ruby Not affected
SUSE Linux Enterprise Server for SAP Applications 12 GA ruby2.1 Affected
SUSE Linux Enterprise Server for SAP Applications 12 SP2 ruby Not affected
SUSE Linux Enterprise Server for SAP Applications 12 SP2 ruby2.1 Released
SUSE Linux Enterprise Server for SAP Applications 12 SP3 ruby Not affected
SUSE Linux Enterprise Server for SAP Applications 12 SP3 ruby2.1 Released
SUSE Linux Enterprise Server for SAP Applications 12 SP4 ruby Not affected
SUSE Linux Enterprise Server for SAP Applications 12 SP4 ruby2.1 Released
SUSE Linux Enterprise Server for SAP Applications 12 SP5 ruby Affected
SUSE Linux Enterprise Server for SAP Applications 12 SP5 ruby2.1 Released
SUSE Linux Enterprise Server for SAP ES 11 SP1 ruby Affected
SUSE Linux Enterprise Server for VMWare 11 SP2 ruby Affected
SUSE Linux Enterprise Server for VMWare 11 SP3 ruby Affected
SUSE Studio Onsite 1.3 ruby Affected
SUSE Studio Onsite Runner 1 ruby Affected
WebYaST 1.3 ruby Affected
openSUSE 11.4 ruby Affected